package com.example.myapplication.database.entities.repository

import com.example.myapplication.database.entities.model.ItemFromCart
import com.example.myapplication.database.entities.model.User
import kotlinx.coroutines.flow.Flow

interface UserRepository {
    suspend fun getAllUsers(): List<User>
    suspend fun getUserById(idUser: Int?): User?
    suspend fun getCartByUser(userId: Int): List<ItemFromCart>
    suspend fun insertUser(user: User)
    suspend fun updateUser(user: User)
    suspend fun deleteUser(user: User)
}